curl --request POST \ --url https://api.maxapi.ai/suno/submit/music \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow", "mv": "chirp-crow", "title": "Cat Dance", "tags": "romantic raga", "continue_at": 123, "continue_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "task": "extend"}EOF
import requests
url = "https://api.maxapi.ai/suno/submit/music"
payload = {
"prompt": "[Verse]
Move your paws
Left and right
Jump around
Feel the light
Whiskers twitch
Tails in the air
Dancing cats
Everywhere
[Chorus]
Cat dance
Oh
Let's go!
Swing your tails
Don’t say no (don’t say no!)
Purr and twirl
Like a show
Cat dance
Let's steal the glow
[Verse 2]
Tiptoe steps
Soft and sweet
Tiny paws
Unbeatable beat
Meow to the rhythm
Claws precise
Every move
Feline paradise
[Chorus]
Cat dance
Oh
Let's go!
Swing your tails
Don’t say no (don’t say no!)
Purr and twirl
Like a show
Cat dance
Let's steal the glow
[Bridge]
Ooh-ooh
Bounce and sway (ooh-ooh!)
Moonlit grooves
Night turns to day
Lean and stretch
Strike your pose
Every kitty steals the show
[Chorus]
Cat dance
Oh
Let's go!
Swing your tails
Don’t say no (don’t say no!)
Purr and twirl
Like a show
Cat dance
Let's steal the glow",
"mv": "chirp-crow",
"title": "Cat Dance",
"tags": "romantic raga",
"continue_at": 123,
"continue_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11",
"task": "extend"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet\'s go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet\'s steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet\'s go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet\'s steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet\'s go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet\'s steal the glow',
mv: 'chirp-crow',
title: 'Cat Dance',
tags: 'romantic raga',
continue_at: 123,
continue_clip_id: '4c4c80c4-6318-48c7-a314-71dd03ba3a11',
task: 'extend'
})
};
fetch('https://api.maxapi.ai/suno/submit/music', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/suno/submit/music"
payload := strings.NewReader("{\n \"prompt\": \"[Verse]\\nMove your paws\\nLeft and right\\nJump around\\nFeel the light\\nWhiskers twitch\\nTails in the air\\nDancing cats\\nEverywhere\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Verse 2]\\nTiptoe steps\\nSoft and sweet\\nTiny paws\\nUnbeatable beat\\nMeow to the rhythm\\nClaws precise\\nEvery move\\nFeline paradise\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Bridge]\\nOoh-ooh\\nBounce and sway (ooh-ooh!)\\nMoonlit grooves\\nNight turns to day\\nLean and stretch\\nStrike your pose\\nEvery kitty steals the show\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\",\n \"mv\": \"chirp-crow\",\n \"title\": \"Cat Dance\",\n \"tags\": \"romantic raga\",\n \"continue_at\": 123,\n \"continue_clip_id\": \"4c4c80c4-6318-48c7-a314-71dd03ba3a11\",\n \"task\": \"extend\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.maxapi.ai/suno/submit/music")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"[Verse]\\nMove your paws\\nLeft and right\\nJump around\\nFeel the light\\nWhiskers twitch\\nTails in the air\\nDancing cats\\nEverywhere\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Verse 2]\\nTiptoe steps\\nSoft and sweet\\nTiny paws\\nUnbeatable beat\\nMeow to the rhythm\\nClaws precise\\nEvery move\\nFeline paradise\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Bridge]\\nOoh-ooh\\nBounce and sway (ooh-ooh!)\\nMoonlit grooves\\nNight turns to day\\nLean and stretch\\nStrike your pose\\nEvery kitty steals the show\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\",\n \"mv\": \"chirp-crow\",\n \"title\": \"Cat Dance\",\n \"tags\": \"romantic raga\",\n \"continue_at\": 123,\n \"continue_clip_id\": \"4c4c80c4-6318-48c7-a314-71dd03ba3a11\",\n \"task\": \"extend\"\n}")
.asString();
{ "code": "success", "data": { "task_id": "15f3e2b3-fd32-4233-a3b3-3dec3dd1525e", "notify_hook": "", "action": "MUSIC", "status": "SUBMITTED", "fail_reason": "", "submit_time": 1754390318, "start_time": 1754390318, "finish_time": 0, "progress": "0%", "search_item": "77e2b720-bdd6-486e-a96c-0c97c46e8315,1ca98c30-7a35-4a98-9bee-b46b1f7abe8e", "data": [ { "id": "77e2b720-bdd6-486e-a96c-0c97c46e8315", "title": "Cat Dance", "audio_url": "", "video_url": "", "image_url": "", "image_large_url": "", "major_model_version": "v3", "model_name": "chirp-v3", "status": "submitted", "created_at": "2025-08-05T10:38:37.985Z", "handle": "unyieldingencore9039", "display_name": "UnyieldingEncore9039", "avatar_image_url": "https://cdn1.suno.ai/sAura19.jpg", "user_id": "2841561b-dd5d-4665-ae78-00a9c348b6d1", "entity_type": "song_schema", "is_public": false, "is_trashed": false, "is_liked": false, "is_handle_updated": false, "is_contest_clip": false, "allow_comments": true, "has_hook": false, "play_count": 0, "upvote_count": 0, "flag_count": 0, "metadata": { "can_remix": true, "edited_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "history": [ { "continue_at": 123, "id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "infill": false, "source": "web", "type": "gen" } ], "infill": false, "is_remix": false, "priority": 10, "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow", "stream": true, "tags": "romantic raga", "task": "extend", "type": "gen" } }, { "id": "1ca98c30-7a35-4a98-9bee-b46b1f7abe8e", "title": "Cat Dance", "audio_url": "", "video_url": "", "image_url": "", "image_large_url": "", "major_model_version": "v3", "model_name": "chirp-v3", "status": "submitted", "created_at": "2025-08-05T10:38:37.985Z", "handle": "unyieldingencore9039", "display_name": "UnyieldingEncore9039", "avatar_image_url": "https://cdn1.suno.ai/sAura19.jpg", "user_id": "2841561b-dd5d-4665-ae78-00a9c348b6d1", "entity_type": "song_schema", "is_public": false, "is_trashed": false, "is_liked": false, "is_handle_updated": false, "is_contest_clip": false, "allow_comments": true, "has_hook": false, "play_count": 0, "upvote_count": 0, "flag_count": 0, "metadata": { "can_remix": true, "edited_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "history": [ { "continue_at": 123, "id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "infill": false, "source": "web", "type": "gen" } ], "infill": false, "is_remix": false, "priority": 10, "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow", "stream": true, "tags": "romantic raga", "task": "extend", "type": "gen" } } ], "audio_url": "", "video_url": "", "image_url": "", "image_large_url": "", "major_model_version": "", "model_name": "", "prompt": "", "type": "", "tags": "", "duration": 0, "error_type": "", "error_message": "", "handle": "", "is_handle_updated": false, "is_trashed": false, "reaction": null, "created_at": "", "title": "" }, "message": ""}
Generate music v5
POST
https://api.maxapi.ai
/
suno
/
submit
/
music
Generate music v5
curl --request POST \ --url https://api.maxapi.ai/suno/submit/music \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow", "mv": "chirp-crow", "title": "Cat Dance", "tags": "romantic raga", "continue_at": 123, "continue_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "task": "extend"}EOF
import requests
url = "https://api.maxapi.ai/suno/submit/music"
payload = {
"prompt": "[Verse]
Move your paws
Left and right
Jump around
Feel the light
Whiskers twitch
Tails in the air
Dancing cats
Everywhere
[Chorus]
Cat dance
Oh
Let's go!
Swing your tails
Don’t say no (don’t say no!)
Purr and twirl
Like a show
Cat dance
Let's steal the glow
[Verse 2]
Tiptoe steps
Soft and sweet
Tiny paws
Unbeatable beat
Meow to the rhythm
Claws precise
Every move
Feline paradise
[Chorus]
Cat dance
Oh
Let's go!
Swing your tails
Don’t say no (don’t say no!)
Purr and twirl
Like a show
Cat dance
Let's steal the glow
[Bridge]
Ooh-ooh
Bounce and sway (ooh-ooh!)
Moonlit grooves
Night turns to day
Lean and stretch
Strike your pose
Every kitty steals the show
[Chorus]
Cat dance
Oh
Let's go!
Swing your tails
Don’t say no (don’t say no!)
Purr and twirl
Like a show
Cat dance
Let's steal the glow",
"mv": "chirp-crow",
"title": "Cat Dance",
"tags": "romantic raga",
"continue_at": 123,
"continue_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11",
"task": "extend"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet\'s go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet\'s steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet\'s go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet\'s steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet\'s go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet\'s steal the glow',
mv: 'chirp-crow',
title: 'Cat Dance',
tags: 'romantic raga',
continue_at: 123,
continue_clip_id: '4c4c80c4-6318-48c7-a314-71dd03ba3a11',
task: 'extend'
})
};
fetch('https://api.maxapi.ai/suno/submit/music', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/suno/submit/music"
payload := strings.NewReader("{\n \"prompt\": \"[Verse]\\nMove your paws\\nLeft and right\\nJump around\\nFeel the light\\nWhiskers twitch\\nTails in the air\\nDancing cats\\nEverywhere\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Verse 2]\\nTiptoe steps\\nSoft and sweet\\nTiny paws\\nUnbeatable beat\\nMeow to the rhythm\\nClaws precise\\nEvery move\\nFeline paradise\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Bridge]\\nOoh-ooh\\nBounce and sway (ooh-ooh!)\\nMoonlit grooves\\nNight turns to day\\nLean and stretch\\nStrike your pose\\nEvery kitty steals the show\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\",\n \"mv\": \"chirp-crow\",\n \"title\": \"Cat Dance\",\n \"tags\": \"romantic raga\",\n \"continue_at\": 123,\n \"continue_clip_id\": \"4c4c80c4-6318-48c7-a314-71dd03ba3a11\",\n \"task\": \"extend\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.maxapi.ai/suno/submit/music")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"[Verse]\\nMove your paws\\nLeft and right\\nJump around\\nFeel the light\\nWhiskers twitch\\nTails in the air\\nDancing cats\\nEverywhere\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Verse 2]\\nTiptoe steps\\nSoft and sweet\\nTiny paws\\nUnbeatable beat\\nMeow to the rhythm\\nClaws precise\\nEvery move\\nFeline paradise\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\\n\\n[Bridge]\\nOoh-ooh\\nBounce and sway (ooh-ooh!)\\nMoonlit grooves\\nNight turns to day\\nLean and stretch\\nStrike your pose\\nEvery kitty steals the show\\n\\n[Chorus]\\nCat dance\\nOh\\nLet's go!\\nSwing your tails\\nDon’t say no (don’t say no!)\\nPurr and twirl\\nLike a show\\nCat dance\\nLet's steal the glow\",\n \"mv\": \"chirp-crow\",\n \"title\": \"Cat Dance\",\n \"tags\": \"romantic raga\",\n \"continue_at\": 123,\n \"continue_clip_id\": \"4c4c80c4-6318-48c7-a314-71dd03ba3a11\",\n \"task\": \"extend\"\n}")
.asString();
{ "code": "success", "data": { "task_id": "15f3e2b3-fd32-4233-a3b3-3dec3dd1525e", "notify_hook": "", "action": "MUSIC", "status": "SUBMITTED", "fail_reason": "", "submit_time": 1754390318, "start_time": 1754390318, "finish_time": 0, "progress": "0%", "search_item": "77e2b720-bdd6-486e-a96c-0c97c46e8315,1ca98c30-7a35-4a98-9bee-b46b1f7abe8e", "data": [ { "id": "77e2b720-bdd6-486e-a96c-0c97c46e8315", "title": "Cat Dance", "audio_url": "", "video_url": "", "image_url": "", "image_large_url": "", "major_model_version": "v3", "model_name": "chirp-v3", "status": "submitted", "created_at": "2025-08-05T10:38:37.985Z", "handle": "unyieldingencore9039", "display_name": "UnyieldingEncore9039", "avatar_image_url": "https://cdn1.suno.ai/sAura19.jpg", "user_id": "2841561b-dd5d-4665-ae78-00a9c348b6d1", "entity_type": "song_schema", "is_public": false, "is_trashed": false, "is_liked": false, "is_handle_updated": false, "is_contest_clip": false, "allow_comments": true, "has_hook": false, "play_count": 0, "upvote_count": 0, "flag_count": 0, "metadata": { "can_remix": true, "edited_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "history": [ { "continue_at": 123, "id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "infill": false, "source": "web", "type": "gen" } ], "infill": false, "is_remix": false, "priority": 10, "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow", "stream": true, "tags": "romantic raga", "task": "extend", "type": "gen" } }, { "id": "1ca98c30-7a35-4a98-9bee-b46b1f7abe8e", "title": "Cat Dance", "audio_url": "", "video_url": "", "image_url": "", "image_large_url": "", "major_model_version": "v3", "model_name": "chirp-v3", "status": "submitted", "created_at": "2025-08-05T10:38:37.985Z", "handle": "unyieldingencore9039", "display_name": "UnyieldingEncore9039", "avatar_image_url": "https://cdn1.suno.ai/sAura19.jpg", "user_id": "2841561b-dd5d-4665-ae78-00a9c348b6d1", "entity_type": "song_schema", "is_public": false, "is_trashed": false, "is_liked": false, "is_handle_updated": false, "is_contest_clip": false, "allow_comments": true, "has_hook": false, "play_count": 0, "upvote_count": 0, "flag_count": 0, "metadata": { "can_remix": true, "edited_clip_id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "history": [ { "continue_at": 123, "id": "4c4c80c4-6318-48c7-a314-71dd03ba3a11", "infill": false, "source": "web", "type": "gen" } ], "infill": false, "is_remix": false, "priority": 10, "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow", "stream": true, "tags": "romantic raga", "task": "extend", "type": "gen" } } ], "audio_url": "", "video_url": "", "image_url": "", "image_large_url": "", "major_model_version": "", "model_name": "", "prompt": "", "type": "", "tags": "", "duration": 0, "error_type": "", "error_message": "", "handle": "", "is_handle_updated": false, "is_trashed": false, "reaction": null, "created_at": "", "title": "" }, "message": ""}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"MaxAPI Developer","description":"MaxAPI 模型接口、集成指南和在线 API 调试文档","colors":{"primary":"#D81E06","light":"#FF6B57","dark":"#B91807"},"logo":{"light":"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/logo/light.svg?fit=max\u0026auto=format\u0026n=xGqiQ3c0WbLf28F3\u0026q=85\u0026s=3e02d7853f6f2d38be5b5480f468b8ad","dark":"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/logo/dark.svg?fit=max\u0026auto=format\u0026n=xGqiQ3c0WbLf28F3\u0026q=85\u0026s=16d33f7300ba5ccddbca801a3da87ef0","href":"https://api.maxapi.ai"},"favicon":"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/favicon.svg?fit=max\u0026auto=format\u0026n=xGqiQ3c0WbLf28F3\u0026q=85\u0026s=537533922b570685c84068f3d67a60de","api":{"params":{"expanded":"all"},"playground":{"display":"interactive","proxy":true},"examples":{"defaults":"required","languages":["curl","python","javascript","go","java"],"prefill":true,"autogenerate":true},"url":"full"},"appearance":{"default":"dark"},"background":{"decoration":"gradient","color":{"light":"#FFFFFF","dark":"#111217"}},"fonts":{"family":"Inter"},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":false},"contextual":{"options":["copy","view","download-spec"],"display":"header"},"navigation":{"languages":[{"language":"cn","default":true,"navbar":{"links":[{"href":"https://api.maxapi.ai/modelmak","label":"模型与价格"},{"href":"https://api.maxapi.ai","label":"控制台"}],"primary":{"type":"button","label":"获取 API Key","href":"https://api.maxapi.ai"}},"href":""},{"language":"en","navbar":{"links":[{"href":"https://api.maxapi.ai/modelmak","label":"Models \u0026 pricing"},{"href":"https://api.maxapi.ai","label":"Console"}],"primary":{"type":"button","label":"Get API key","href":"https://api.maxapi.ai"}},"href":"en"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"maxapi","hasAudioNarration":false,"actualSubdomain":"maxapi","customDomains":["docs.maxapi.ai"],"gitSource":{"type":"github","owner":"yesbug","repo":"maxapi-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6a6f4c9ec4f90ea6d3f13c51","collectionId":"4abc105d-be3d-4973-876b-36820583c414","liveDeploymentHistoryId":"6a6f4c9ec4f90ea6d3f13c51","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a6f4c9ec4f90ea6d3f13c51:success","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"cn","tag":"API Reference","count":172},{"language":"cn","tag":"模型接口","count":168},{"language":"en","tag":"API Reference","count":128},{"language":"en","tag":"Model APIs","count":124},{"language":"cn","tag":"图像生成与处理","count":60},{"language":"cn","tag":"视频生成","count":54},{"language":"en","tag":"Image generation","count":44},{"language":"en","tag":"Video generation","count":39},{"language":"cn","tag":"工具与 PPT","count":31},{"language":"cn","tag":"场景示例","count":30},{"language":"cn","tag":"PPT 服务","count":30},{"language":"en","tag":"Use cases","count":30},{"language":"en","tag":"Tools \u0026 presentations","count":21},{"language":"cn","tag":"音频与音乐","count":20},{"language":"en","tag":"Presentation services","count":20},{"language":"cn","tag":"佐糖","count":18},{"language":"cn","tag":"Midjourney","count":17},{"language":"en","tag":"Audio \u0026 music","count":17},{"language":"en","tag":"Vidu","count":14},{"language":"en","tag":"Midjourney","count":14}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/maxapi-endpoints/generate-music-v5","slug":"/api-reference/maxapi-endpoints/generate-music-v5","pageMetadata":{"title":"Generate music v5","description":"","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/submit/music","href":"/api-reference/maxapi-endpoints/generate-music-v5","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Generate music v5","description":"","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/submit/music","href":"/api-reference/maxapi-endpoints/generate-music-v5","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/maxapi/d98b163ca8914da0/scripts/generate-usercases.js","/_mintlify/custom/maxapi/9e3ee4c5990361c4/scripts/organize-api-navigation.js","/_mintlify/custom/maxapi/443121df9b73d3ea/scripts/prepare-english-openapi.js","/_mintlify/custom/maxapi/8186248c42e21105/scripts/prepare-openapi.js","/_mintlify/custom/maxapi/5c49d97810de30cd/scripts/audit-openapi-coverage.js","/_mintlify/custom/maxapi/d2f3a00987cb3590/scripts/enrich-openapi.js"],"openApiReferenceData":{"operation":{"summary":"Generate music v5","deprecated":false,"description":"","tags":["MaxAPI endpoints"],"parameters":["237f6520-5c1f-4ab0-8c49-e3a4260c7e26"],"requestBody":"91d14c97-e538-4969-9057-50f064cd610d","responses":{"200":"1138f92d-ee1e-4f47-a8ae-3e15cff2de49"},"security":[],"method":"post","type":"path","servers":["63809269-3ed3-4ab1-b077-f8d1551830e5"],"path":"/suno/submit/music","baseUrlOptions":["https://api.maxapi.ai"],"title":"Generate music v5","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","go","java"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.prompt":"[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow","body.mv":"chirp-crow","body.title":"Cat Dance","body.tags":"romantic raga","body.continue_at":123,"body.continue_clip_id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","body.task":"extend"}],"urlDisplay":"full"},"dependencies":{"parameters":{"237f6520-5c1f-4ab0-8c49-e3a4260c7e26":{"name":"Authorization","in":"header","description":"","required":false,"example":"YOUR_API_KEY","schema":{"type":"string","isRequired":false,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"prompt":{"type":"string","uniqueKey":"prompt","typeLabel":"string"},"mv":{"type":"string","uniqueKey":"mv","typeLabel":"string"},"title":{"type":"string","uniqueKey":"title","typeLabel":"string"},"tags":{"type":"string","uniqueKey":"tags","typeLabel":"string"},"continue_at":{"type":"integer","uniqueKey":"continue_at","typeLabel":"integer"},"continue_clip_id":{"type":"string","uniqueKey":"continue_clip_id","typeLabel":"string"},"task":{"type":"string","uniqueKey":"task","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"prompt":"[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow","mv":"chirp-crow","title":"Cat Dance","tags":"romantic raga","continue_at":123,"continue_clip_id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","task":"extend"},"x-maxapi-schema-source":"example","examples":{"Example":{"title":"Example","value":{"prompt":"[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow","mv":"chirp-crow","title":"Cat Dance","tags":"romantic raga","continue_at":123,"continue_clip_id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","task":"extend"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"1138f92d-ee1e-4f47-a8ae-3e15cff2de49":{"description":"Request succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"code","typeLabel":"string"},"data":{"type":"object","properties":{"task_id":{"type":"string","uniqueKey":"data.task_id","typeLabel":"string"},"notify_hook":{"type":"string","uniqueKey":"data.notify_hook","typeLabel":"string"},"action":{"type":"string","uniqueKey":"data.action","typeLabel":"string"},"status":{"type":"string","uniqueKey":"data.status","typeLabel":"string"},"fail_reason":{"type":"string","uniqueKey":"data.fail_reason","typeLabel":"string"},"submit_time":{"type":"integer","uniqueKey":"data.submit_time","typeLabel":"integer"},"start_time":{"type":"integer","uniqueKey":"data.start_time","typeLabel":"integer"},"finish_time":{"type":"integer","uniqueKey":"data.finish_time","typeLabel":"integer"},"progress":{"type":"string","uniqueKey":"data.progress","typeLabel":"string"},"search_item":{"type":"string","uniqueKey":"data.search_item","typeLabel":"string"},"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"data.data.items.[INDEX].id","typeLabel":"string"},"title":{"type":"string","uniqueKey":"data.data.items.[INDEX].title","typeLabel":"string"},"audio_url":{"type":"string","uniqueKey":"data.data.items.[INDEX].audio_url","typeLabel":"string"},"video_url":{"type":"string","uniqueKey":"data.data.items.[INDEX].video_url","typeLabel":"string"},"image_url":{"type":"string","uniqueKey":"data.data.items.[INDEX].image_url","typeLabel":"string"},"image_large_url":{"type":"string","uniqueKey":"data.data.items.[INDEX].image_large_url","typeLabel":"string"},"major_model_version":{"type":"string","uniqueKey":"data.data.items.[INDEX].major_model_version","typeLabel":"string"},"model_name":{"type":"string","uniqueKey":"data.data.items.[INDEX].model_name","typeLabel":"string"},"status":{"type":"string","uniqueKey":"data.data.items.[INDEX].status","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","uniqueKey":"data.data.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"handle":{"type":"string","uniqueKey":"data.data.items.[INDEX].handle","typeLabel":"string"},"display_name":{"type":"string","uniqueKey":"data.data.items.[INDEX].display_name","typeLabel":"string"},"avatar_image_url":{"type":"string","format":"uri","uniqueKey":"data.data.items.[INDEX].avatar_image_url","typeLabel":"string\u003curi>"},"user_id":{"type":"string","uniqueKey":"data.data.items.[INDEX].user_id","typeLabel":"string"},"entity_type":{"type":"string","uniqueKey":"data.data.items.[INDEX].entity_type","typeLabel":"string"},"is_public":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].is_public","typeLabel":"boolean"},"is_trashed":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].is_trashed","typeLabel":"boolean"},"is_liked":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].is_liked","typeLabel":"boolean"},"is_handle_updated":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].is_handle_updated","typeLabel":"boolean"},"is_contest_clip":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].is_contest_clip","typeLabel":"boolean"},"allow_comments":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].allow_comments","typeLabel":"boolean"},"has_hook":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].has_hook","typeLabel":"boolean"},"play_count":{"type":"integer","uniqueKey":"data.data.items.[INDEX].play_count","typeLabel":"integer"},"upvote_count":{"type":"integer","uniqueKey":"data.data.items.[INDEX].upvote_count","typeLabel":"integer"},"flag_count":{"type":"integer","uniqueKey":"data.data.items.[INDEX].flag_count","typeLabel":"integer"},"metadata":{"type":"object","properties":{"can_remix":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].metadata.can_remix","typeLabel":"boolean"},"edited_clip_id":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.edited_clip_id","typeLabel":"string"},"history":{"type":"array","items":{"type":"object","properties":{"continue_at":{"type":"integer","uniqueKey":"data.data.items.[INDEX].metadata.history.items.[INDEX].continue_at","typeLabel":"integer"},"id":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.history.items.[INDEX].id","typeLabel":"string"},"infill":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].metadata.history.items.[INDEX].infill","typeLabel":"boolean"},"source":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.history.items.[INDEX].source","typeLabel":"string"},"type":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.history.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"data.data.items.[INDEX].metadata.history.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.data.items.[INDEX].metadata.history","typeLabel":"object[]"},"infill":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].metadata.infill","typeLabel":"boolean"},"is_remix":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].metadata.is_remix","typeLabel":"boolean"},"priority":{"type":"integer","uniqueKey":"data.data.items.[INDEX].metadata.priority","typeLabel":"integer"},"prompt":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.prompt","typeLabel":"string"},"stream":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].metadata.stream","typeLabel":"boolean"},"tags":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.tags","typeLabel":"string"},"task":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.task","typeLabel":"string"},"type":{"type":"string","uniqueKey":"data.data.items.[INDEX].metadata.type","typeLabel":"string"}},"uniqueKey":"data.data.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"data.data.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.data","typeLabel":"object[]"},"audio_url":{"type":"string","uniqueKey":"data.audio_url","typeLabel":"string"},"video_url":{"type":"string","uniqueKey":"data.video_url","typeLabel":"string"},"image_url":{"type":"string","uniqueKey":"data.image_url","typeLabel":"string"},"image_large_url":{"type":"string","uniqueKey":"data.image_large_url","typeLabel":"string"},"major_model_version":{"type":"string","uniqueKey":"data.major_model_version","typeLabel":"string"},"model_name":{"type":"string","uniqueKey":"data.model_name","typeLabel":"string"},"prompt":{"type":"string","uniqueKey":"data.prompt","typeLabel":"string"},"type":{"type":"string","uniqueKey":"data.type","typeLabel":"string"},"tags":{"type":"string","uniqueKey":"data.tags","typeLabel":"string"},"duration":{"type":"integer","uniqueKey":"data.duration","typeLabel":"integer"},"error_type":{"type":"string","uniqueKey":"data.error_type","typeLabel":"string"},"error_message":{"type":"string","uniqueKey":"data.error_message","typeLabel":"string"},"handle":{"type":"string","uniqueKey":"data.handle","typeLabel":"string"},"is_handle_updated":{"type":"boolean","uniqueKey":"data.is_handle_updated","typeLabel":"boolean"},"is_trashed":{"type":"boolean","uniqueKey":"data.is_trashed","typeLabel":"boolean"},"reaction":{"oneOf":[{},{"type":"null","uniqueKey":"data.reaction.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.reaction","typeLabel":"null"},"created_at":{"type":"string","uniqueKey":"data.created_at","typeLabel":"string"},"title":{"type":"string","uniqueKey":"data.title","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"},"message":{"type":"string","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"code":"success","data":{"task_id":"15f3e2b3-fd32-4233-a3b3-3dec3dd1525e","notify_hook":"","action":"MUSIC","status":"SUBMITTED","fail_reason":"","submit_time":1754390318,"start_time":1754390318,"finish_time":0,"progress":"0%","search_item":"77e2b720-bdd6-486e-a96c-0c97c46e8315,1ca98c30-7a35-4a98-9bee-b46b1f7abe8e","data":[{"id":"77e2b720-bdd6-486e-a96c-0c97c46e8315","title":"Cat Dance","audio_url":"","video_url":"","image_url":"","image_large_url":"","major_model_version":"v3","model_name":"chirp-v3","status":"submitted","created_at":"2025-08-05T10:38:37.985Z","handle":"unyieldingencore9039","display_name":"UnyieldingEncore9039","avatar_image_url":"https://cdn1.suno.ai/sAura19.jpg","user_id":"2841561b-dd5d-4665-ae78-00a9c348b6d1","entity_type":"song_schema","is_public":false,"is_trashed":false,"is_liked":false,"is_handle_updated":false,"is_contest_clip":false,"allow_comments":true,"has_hook":false,"play_count":0,"upvote_count":0,"flag_count":0,"metadata":{"can_remix":true,"edited_clip_id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","history":[{"continue_at":123,"id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","infill":false,"source":"web","type":"gen"}],"infill":false,"is_remix":false,"priority":10,"prompt":"[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow","stream":true,"tags":"romantic raga","task":"extend","type":"gen"}},{"id":"1ca98c30-7a35-4a98-9bee-b46b1f7abe8e","title":"Cat Dance","audio_url":"","video_url":"","image_url":"","image_large_url":"","major_model_version":"v3","model_name":"chirp-v3","status":"submitted","created_at":"2025-08-05T10:38:37.985Z","handle":"unyieldingencore9039","display_name":"UnyieldingEncore9039","avatar_image_url":"https://cdn1.suno.ai/sAura19.jpg","user_id":"2841561b-dd5d-4665-ae78-00a9c348b6d1","entity_type":"song_schema","is_public":false,"is_trashed":false,"is_liked":false,"is_handle_updated":false,"is_contest_clip":false,"allow_comments":true,"has_hook":false,"play_count":0,"upvote_count":0,"flag_count":0,"metadata":{"can_remix":true,"edited_clip_id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","history":[{"continue_at":123,"id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","infill":false,"source":"web","type":"gen"}],"infill":false,"is_remix":false,"priority":10,"prompt":"[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow","stream":true,"tags":"romantic raga","task":"extend","type":"gen"}}],"audio_url":"","video_url":"","image_url":"","image_large_url":"","major_model_version":"","model_name":"","prompt":"","type":"","tags":"","duration":0,"error_type":"","error_message":"","handle":"","is_handle_updated":false,"is_trashed":false,"reaction":null,"created_at":"","title":""},"message":""},"x-maxapi-schema-source":"example","examples":{"Example":{"title":"Example","value":{"code":"success","data":{"task_id":"15f3e2b3-fd32-4233-a3b3-3dec3dd1525e","notify_hook":"","action":"MUSIC","status":"SUBMITTED","fail_reason":"","submit_time":1754390318,"start_time":1754390318,"finish_time":0,"progress":"0%","search_item":"77e2b720-bdd6-486e-a96c-0c97c46e8315,1ca98c30-7a35-4a98-9bee-b46b1f7abe8e","data":[{"id":"77e2b720-bdd6-486e-a96c-0c97c46e8315","title":"Cat Dance","audio_url":"","video_url":"","image_url":"","image_large_url":"","major_model_version":"v3","model_name":"chirp-v3","status":"submitted","created_at":"2025-08-05T10:38:37.985Z","handle":"unyieldingencore9039","display_name":"UnyieldingEncore9039","avatar_image_url":"https://cdn1.suno.ai/sAura19.jpg","user_id":"2841561b-dd5d-4665-ae78-00a9c348b6d1","entity_type":"song_schema","is_public":false,"is_trashed":false,"is_liked":false,"is_handle_updated":false,"is_contest_clip":false,"allow_comments":true,"has_hook":false,"play_count":0,"upvote_count":0,"flag_count":0,"metadata":{"can_remix":true,"edited_clip_id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","history":[{"continue_at":123,"id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","infill":false,"source":"web","type":"gen"}],"infill":false,"is_remix":false,"priority":10,"prompt":"[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow","stream":true,"tags":"romantic raga","task":"extend","type":"gen"}},{"id":"1ca98c30-7a35-4a98-9bee-b46b1f7abe8e","title":"Cat Dance","audio_url":"","video_url":"","image_url":"","image_large_url":"","major_model_version":"v3","model_name":"chirp-v3","status":"submitted","created_at":"2025-08-05T10:38:37.985Z","handle":"unyieldingencore9039","display_name":"UnyieldingEncore9039","avatar_image_url":"https://cdn1.suno.ai/sAura19.jpg","user_id":"2841561b-dd5d-4665-ae78-00a9c348b6d1","entity_type":"song_schema","is_public":false,"is_trashed":false,"is_liked":false,"is_handle_updated":false,"is_contest_clip":false,"allow_comments":true,"has_hook":false,"play_count":0,"upvote_count":0,"flag_count":0,"metadata":{"can_remix":true,"edited_clip_id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","history":[{"continue_at":123,"id":"4c4c80c4-6318-48c7-a314-71dd03ba3a11","infill":false,"source":"web","type":"gen"}],"infill":false,"is_remix":false,"priority":10,"prompt":"[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow","stream":true,"tags":"romantic raga","task":"extend","type":"gen"}}],"audio_url":"","video_url":"","image_url":"","image_large_url":"","major_model_version":"","model_name":"","prompt":"","type":"","tags":"","duration":0,"error_type":"","error_message":"","handle":"","is_handle_updated":false,"is_trashed":false,"reaction":null,"created_at":"","title":""},"message":""}}},"exampleType":"examples"}},"headers":{},"exampleType":"examples"}},"security":{},"servers":{"63809269-3ed3-4ab1-b077-f8d1551830e5":{"url":"https://api.maxapi.ai","description":"MaxAPI production"}}},"originalFileLocation":"en/api-reference/openapi.json"},"subdomain":"maxapi","siteName":"MaxAPI Developer","title":"Generate music v5 - MaxAPI Developer","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"cn":{"href":"/","matchLevel":4},"en":{"href":"/api-reference/maxapi-endpoints/generate-music-v5","matchLevel":0}}},"lastModified":"2026-08-02T13:57:10.285Z","originalFileLocation":"api-reference/maxapi-endpoints/generate-music-v5.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"MaxAPI Developer\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/svg+xml\" sizes=\"180x180\" href=\"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/favicon.svg?fit=max\u0026amp;auto=format\u0026amp;n=xGqiQ3c0WbLf28F3\u0026amp;q=85\u0026amp;s=537533922b570685c84068f3d67a60de\">\u003clink data-mint-head rel=\"icon\" type=\"image/svg+xml\" sizes=\"32x32\" href=\"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/favicon.svg?fit=max\u0026amp;auto=format\u0026amp;n=xGqiQ3c0WbLf28F3\u0026amp;q=85\u0026amp;s=537533922b570685c84068f3d67a60de\">\u003clink data-mint-head rel=\"icon\" type=\"image/svg+xml\" sizes=\"16x16\" href=\"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/favicon.svg?fit=max\u0026amp;auto=format\u0026amp;n=xGqiQ3c0WbLf28F3\u0026amp;q=85\u0026amp;s=537533922b570685c84068f3d67a60de\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/svg+xml\" href=\"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/favicon.svg?fit=max\u0026amp;auto=format\u0026amp;n=xGqiQ3c0WbLf28F3\u0026amp;q=85\u0026amp;s=537533922b570685c84068f3d67a60de\">\u003cmeta data-mint-head property=\"og:title\" content=\"Generate music v5 - MaxAPI Developer\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"MaxAPI Developer\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://maxapi.mintlify.app/_mintlify/api/og/v2?division=Suno\u0026amp;title=Generate+music+v5\u0026amp;theme=3b26e3f140a7347686f124e1\u0026amp;signature=f1547502a7b7e5c9af8b3ab459dd04fd96709dc7be1b74c96785176462097b8d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Generate music v5 - MaxAPI Developer\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://maxapi.mintlify.app/_mintlify/api/og/v2?division=Suno\u0026amp;title=Generate+music+v5\u0026amp;theme=3b26e3f140a7347686f124e1\u0026amp;signature=f1547502a7b7e5c9af8b3ab459dd04fd96709dc7be1b74c96785176462097b8d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/maxapi/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"MaxAPI Developer\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#D81E06\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/maxapi-endpoints/generate-music-v5.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.maxapi.ai/#organization\",\"name\":\"MaxAPI Developer\",\"url\":\"https://docs.maxapi.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/maxapi/xGqiQ3c0WbLf28F3/logo/light.svg?fit=max\u0026auto=format\u0026n=xGqiQ3c0WbLf28F3\u0026q=85\u0026s=3e02d7853f6f2d38be5b5480f468b8ad\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.maxapi.ai#website\",\"name\":\"MaxAPI Developer\",\"url\":\"https://docs.maxapi.ai\",\"publisher\":{\"@id\":\"https://docs.maxapi.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5#webpage\",\"url\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5\",\"name\":\"Generate music v5\",\"dateModified\":\"2026-08-02T13:57:10.285Z\",\"isPartOf\":{\"@id\":\"https://docs.maxapi.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Model APIs\",\"item\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/create-chat-completion\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Audio \u0026 music\",\"item\":\"https://docs.maxapi.ai/en/api-reference/audio-music\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Suno\",\"item\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Generate music v5\",\"item\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5#apireference\",\"headline\":\"Generate music v5\",\"name\":\"Generate music v5\",\"url\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5\",\"mainEntityOfPage\":{\"@id\":\"https://docs.maxapi.ai/api-reference/maxapi-endpoints/generate-music-v5#webpage\"},\"dateModified\":\"2026-08-02T13:57:10.285Z\",\"publisher\":{\"@id\":\"https://docs.maxapi.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.maxapi.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"MaxAPI Developer\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"MaxAPI Developer","nav":{"global":null,"languages":[{"language":"cn","default":true,"navbar":{"links":[{"href":"https://api.maxapi.ai/modelmak","label":"模型与价格"},{"href":"https://api.maxapi.ai","label":"控制台"}],"primary":{"type":"button","label":"获取 API Key","href":"https://api.maxapi.ai"}},"pages":[{"title":"cn","href":"/"}]},{"language":"en","navbar":{"links":[{"href":"https://api.maxapi.ai/modelmak","label":"Models \u0026 pricing"},{"href":"https://api.maxapi.ai","label":"Console"}],"primary":{"type":"button","label":"Get API key","href":"https://api.maxapi.ai"}},"tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/en"}]},{"tab":"API Reference","icon":"square-terminal","groups":[{"group":"API overview","pages":[{"title":"API catalog","mode":"wide","href":"/en/api-reference/overview"},{"title":"Authentication","href":"/en/guides/authentication"},{"title":"Asynchronous tasks","href":"/en/guides/async-tasks"},{"title":"Error handling","href":"/en/guides/errors"}]},{"group":"Model APIs","pages":[{"group":"Text \u0026 embeddings","icon":"messages","root":{"title":"Text \u0026 embeddings","href":"/en/api-reference/text"},"expanded":false,"pages":[{"title":"Create chat completion","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/chat/completions","href":"/api-reference/maxapi-endpoints/create-chat-completion"},{"title":"Create completion","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/completions","href":"/api-reference/maxapi-endpoints/create-completion"},{"title":"Create embeddings","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/embeddings","href":"/api-reference/maxapi-endpoints/create-embeddings"}]},{"group":"Image generation","icon":"image","root":{"title":"Image generation","href":"/en/api-reference/images"},"expanded":false,"pages":[{"group":"Google","expanded":false,"pages":[{"title":"Nano-banana","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1beta/models/gemini-2.5-flash-image:generateContent","href":"/api-reference/maxapi-endpoints/nano-banana"},{"title":"nano-bananaDownload image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /v1/videos/{task_id}/content","href":"/api-reference/maxapi-endpoints/nano-bananadownload-image"}]},{"group":"Alibaba Cloud","expanded":false,"pages":[{"title":"images/edits","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/images/edits","href":"/api-reference/maxapi-endpoints/imagesedits"}]},{"group":"Kling AI","expanded":false,"pages":[{"title":"Generate image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/v1/images/neuralstyle/generate","href":"/api-reference/maxapi-endpoints/generate-image"}]},{"group":"Vidu","expanded":false,"pages":[{"title":"POST /ent/v2/reference2image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/reference2image","href":"/api-reference/maxapi-endpoints/post-entv2reference2image"}]},{"group":"Midjourney","expanded":false,"pages":[{"title":"Create swap_facetask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/insight-face/swap","href":"/api-reference/maxapi-endpoints/create-swap_facetask"},{"title":"Run action","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/submit/action","href":"/api-reference/maxapi-endpoints/run-action"},{"title":"Create Blend task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/submit/blend","href":"/api-reference/maxapi-endpoints/create-blend-task"},{"title":"Create Describe task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/submit/describe","href":"/api-reference/maxapi-endpoints/create-describe-task"},{"title":"Create Imagine task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/submit/imagine","href":"/api-reference/maxapi-endpoints/create-imagine-task"},{"title":"Create Modal","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/submit/modal","href":"/api-reference/maxapi-endpoints/create-modal"},{"title":"Create Shorten task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/submit/shorten","href":"/api-reference/maxapi-endpoints/create-shorten-task"},{"title":"List tasks","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /mj/task/list","href":"/api-reference/maxapi-endpoints/list-tasks"},{"title":"IDGet task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /mj/task/{id}/fetch","href":"/api-reference/maxapi-endpoints/idget-task"},{"title":"List tasks with pagination","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj/task/query","href":"/api-reference/maxapi-endpoints/list-tasks-with-pagination"},{"title":"Get task queue","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /mj/task/queue","href":"/api-reference/maxapi-endpoints/get-task-queue"},{"title":"Cancel task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/tasks/{id}/cancel","href":"/api-reference/maxapi-endpoints/cancel-task"},{"title":"IDGet task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /mj/task/{id}/fetch","href":"/api-reference/maxapi-endpoints/idget-task"},{"title":"Get taskimageseed(mjnijiID)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /mj/task/{id}/image-seed","href":"/api-reference/maxapi-endpoints/get-taskimageseed(mjnijiid)"},{"title":"Get task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /luma/v2/generations/task_id","href":"/api-reference/maxapi-endpoints/get-task"}]},{"group":"Stability AI","expanded":false,"pages":[{"title":"Stable Image Ultra","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /sd/v2beta/stable-image/generate/ultra","href":"/api-reference/maxapi-endpoints/stable-image-ultra"},{"title":"Stable Image Core","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /sd/v2beta/stable-image/generate/core","href":"/api-reference/maxapi-endpoints/stable-image-core"},{"title":"Stable Diffusion 3","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /sd/v2beta/stable-image/generate/sd3","href":"/api-reference/maxapi-endpoints/stable-diffusion-3"},{"title":"Text-to-image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /sd/v1/generation/{engine_id}/text-to-image","href":"/api-reference/maxapi-endpoints/text-to-image"}]},{"group":"Ideogram","expanded":false,"pages":[{"title":"Generate()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ideogram/generate","href":"/api-reference/maxapi-endpoints/generate()"},{"title":"Remix()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ideogram/remix","href":"/api-reference/maxapi-endpoints/remix()"},{"title":"Upscale()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ideogram/upscale","href":"/api-reference/maxapi-endpoints/upscale()"},{"title":"Describe()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ideogram/describe","href":"/api-reference/maxapi-endpoints/describe()"}]},{"group":"MewXAI","expanded":false,"pages":[{"title":"Generate image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/v1/images/neuralstyle/generate","href":"/api-reference/maxapi-endpoints/generate-image"},{"title":"3. - (AI)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/v1/images/shadow/generate","href":"/api-reference/maxapi-endpoints/3--(ai)"},{"title":"(MX)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/v1/mx/images/computed","href":"/api-reference/maxapi-endpoints/(mx)"},{"title":"(MX-MX)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/v1/mx/images/extraList","href":"/api-reference/maxapi-endpoints/(mx-mx)"},{"title":"(MX-MX)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/v1/mx/images/extraList","href":"/api-reference/maxapi-endpoints/(mx-mx)"},{"title":"Generate imageAPI(MX-Cute)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/v1/mx/images/cute/generate","href":"/api-reference/maxapi-endpoints/generate-imageapi(mx-cute)"},{"title":"(MX-Cute)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/v1/mx/images/cute/extraList","href":"/api-reference/maxapi-endpoints/(mx-cute)"},{"title":"Callback example","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/xxx/xxx","href":"/api-reference/maxapi-endpoints/callback-example"},{"title":"Get details","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/v1/images/detail","href":"/api-reference/maxapi-endpoints/get-details"},{"title":"Get balance","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/v1/user/count","href":"/api-reference/maxapi-endpoints/get-balance"},{"title":"List templates","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/v1/template/list","href":"/api-reference/maxapi-endpoints/list-templates"},{"title":"List models","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/v1/model/list","href":"/api-reference/maxapi-endpoints/list-models"},{"title":"- (MX-Generate API-Cute-Generate ())","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/v1/images/cute/generate","href":"/api-reference/maxapi-endpoints/-(mx-generate-api-cute-generate-())"}]},{"group":"PicWish","expanded":false,"pages":[{"title":"Create task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/idphoto","href":"/api-reference/maxapi-endpoints/create-task"},{"title":"Get image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/tasks/visual/correction/task_id","href":"/api-reference/maxapi-endpoints/get-image"},{"title":"Get","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /suno/fetch/{task_id}","href":"/api-reference/maxapi-endpoints/get"},{"title":"Create imagetask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/correction","href":"/api-reference/maxapi-endpoints/create-imagetask"},{"title":"Get image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/tasks/visual/correction/task_id","href":"/api-reference/maxapi-endpoints/get-image"},{"title":"Create imagetask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/correction","href":"/api-reference/maxapi-endpoints/create-imagetask"},{"title":"Get image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/tasks/visual/correction/task_id","href":"/api-reference/maxapi-endpoints/get-image"},{"title":"Create Generate task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/r-background","href":"/api-reference/maxapi-endpoints/create-generate-task"},{"title":"Get Generate","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/tasks/visual/r-background/task_id","href":"/api-reference/maxapi-endpoints/get-generate"},{"title":"Create task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/idphoto","href":"/api-reference/maxapi-endpoints/create-task"},{"title":"Get","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /suno/fetch/{task_id}","href":"/api-reference/maxapi-endpoints/get"},{"title":"Create imagetask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/correction","href":"/api-reference/maxapi-endpoints/create-imagetask"},{"title":"Get image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/tasks/visual/correction/task_id","href":"/api-reference/maxapi-endpoints/get-image"},{"title":"Create imagetask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/correction","href":"/api-reference/maxapi-endpoints/create-imagetask"},{"title":"Create OCRtask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/document/ocr","href":"/api-reference/maxapi-endpoints/create-ocrtask"},{"title":"Get OCR","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/tasks/document/ocr/task_id","href":"/api-reference/maxapi-endpoints/get-ocr"},{"title":"Create imagetask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/tasks/visual/correction","href":"/api-reference/maxapi-endpoints/create-imagetask"},{"title":"Get image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/tasks/visual/correction/task_id","href":"/api-reference/maxapi-endpoints/get-image"}]},{"group":"OpenAI","expanded":false,"pages":[{"title":"DALL·E 3","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/images/generations","href":"/api-reference/maxapi-endpoints/dall·e-3"}]}]},{"group":"Video generation","icon":"video","root":{"title":"Video generation","href":"/en/api-reference/video"},"expanded":false,"pages":[{"group":"Google","expanded":false,"pages":[{"title":"video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/extend","href":"/api-reference/maxapi-endpoints/video"},{"title":"Get task status","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /vidu/ent/v2/tasks/{id}/creations","href":"/api-reference/maxapi-endpoints/get-task-status"},{"title":"Create a video generation task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /veo/v1/api/video/submit","href":"/api-reference/maxapi-endpoints/create-a-video-generation-task"},{"title":"Get task status","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /vidu/ent/v2/tasks/{id}/creations","href":"/api-reference/maxapi-endpoints/get-task-status"},{"title":"Download video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /aistudio/v1beta/files/am6emvv7ekgo:download","href":"/api-reference/maxapi-endpoints/download-video"},{"title":"Create videotask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /runwayml/v1/image_to_video","href":"/api-reference/maxapi-endpoints/create-videotask"},{"title":"Create a video generation task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /veo/v1/api/video/submit","href":"/api-reference/maxapi-endpoints/create-a-video-generation-task"},{"title":"Get video generation status","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /veo/v1/api/video/status/{taskId}","href":"/api-reference/maxapi-endpoints/get-video-generation-status"},{"title":"Get video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /luma/v2/generations/task_id/download_video_url","href":"/api-reference/maxapi-endpoints/get-video"},{"title":"Download video(,Get videoAPI url)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /v1/videos/{id}/content","href":"/api-reference/maxapi-endpoints/download-video,get-videoapi-url"},{"title":"Veovideo","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v2/videos/generations","href":"/api-reference/maxapi-endpoints/veovideo"},{"title":"VeoGet task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /v2/videos/generations/{task_id}","href":"/api-reference/maxapi-endpoints/veoget-task"}]},{"group":"ByteDance","expanded":false,"pages":[{"title":"Create video task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /seedance/api/v3/contents/generations/tasks","href":"/api-reference/maxapi-endpoints/create-video-task"},{"title":"Get task ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /wan/api/v1/tasks/{task_id}","href":"/api-reference/maxapi-endpoints/get-task-"}]},{"group":"Alibaba Cloud","expanded":false,"pages":[{"title":"videoGenerate ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /wan/api/v1/services/aigc/video-generation/video-synthesis","href":"/api-reference/maxapi-endpoints/videogenerate-"},{"title":"video ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /wan/api/v1/services/aigc/image2video/image-to-video","href":"/api-reference/maxapi-endpoints/video-"},{"title":"video ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /wan/api/v1/services/aigc/image2video/image-to-video","href":"/api-reference/maxapi-endpoints/video-"},{"title":"Get task ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /wan/api/v1/tasks/{task_id}","href":"/api-reference/maxapi-endpoints/get-task-"}]},{"group":"Kling AI","expanded":false,"pages":[{"title":"Generate video from text","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /vidu/ent/v2/text2video","href":"/api-reference/maxapi-endpoints/generate-video-from-text"},{"title":"Generate video from image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /vidu/ent/v2/img2video","href":"/api-reference/maxapi-endpoints/generate-video-from-image"},{"title":"Get task()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /kling/v1/{action}/{action2}/{task_id}","href":"/api-reference/maxapi-endpoints/get-task()"}]},{"group":"Vidu","expanded":false,"pages":[{"title":"Generate video from image","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /vidu/ent/v2/img2video","href":"/api-reference/maxapi-endpoints/generate-video-from-image"},{"title":"Generate video from text","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /vidu/ent/v2/text2video","href":"/api-reference/maxapi-endpoints/generate-video-from-text"},{"title":"video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/extend","href":"/api-reference/maxapi-endpoints/video"},{"title":"Generate video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /luma/v1/generations","href":"/api-reference/maxapi-endpoints/generate-video"},{"title":"POST /ent/v2/template","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/template","href":"/api-reference/maxapi-endpoints/post-entv2template"},{"title":"POST /ent/v2/template-story","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/template-story","href":"/api-reference/maxapi-endpoints/post-entv2template-story"},{"title":"POST /ent/v2/img2video-prompt-recommendation","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/img2video-prompt-recommendation","href":"/api-reference/maxapi-endpoints/post-entv2img2video-prompt-recommendation"},{"title":"video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/extend","href":"/api-reference/maxapi-endpoints/video"},{"title":"POST /ent/v2/upscale-new","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/upscale-new","href":"/api-reference/maxapi-endpoints/post-entv2upscale-new"},{"title":"Get task status","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /vidu/ent/v2/tasks/{id}/creations","href":"/api-reference/maxapi-endpoints/get-task-status"},{"title":"Cancel task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/tasks/{id}/cancel","href":"/api-reference/maxapi-endpoints/cancel-task"},{"title":"Get credit balance","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /ent/v2/credits","href":"/api-reference/maxapi-endpoints/get-credit-balance"}]},{"group":"MiniMax","expanded":false,"pages":[{"title":"videoGenerate (API)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /hailuo/v1/video_generation","href":"/api-reference/maxapi-endpoints/videogenerate-api"},{"title":"Get videoGenerate task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /hailuo/v1/query/video_generation","href":"/api-reference/maxapi-endpoints/get-videogenerate-task"},{"title":"Download video file","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /hailuo/v1/files/retrieve","href":"/api-reference/maxapi-endpoints/download-video-file"}]},{"group":"Midjourney","expanded":false,"pages":[{"title":"FastvideoCreate","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj-fast/mj/submit/video","href":"/api-reference/maxapi-endpoints/fastvideocreate"},{"title":"RelaxvideoCreate","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /mj-relax/mj/submit/video","href":"/api-reference/maxapi-endpoints/relaxvideocreate"}]},{"group":"Luma AI","expanded":false,"pages":[{"title":"Generate video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /luma/v1/generations","href":"/api-reference/maxapi-endpoints/generate-video"},{"title":"Get video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /luma/v2/generations/task_id/download_video_url","href":"/api-reference/maxapi-endpoints/get-video"},{"title":"Generate video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /luma/v1/generations","href":"/api-reference/maxapi-endpoints/generate-video"},{"title":"Get video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /luma/v2/generations/task_id/download_video_url","href":"/api-reference/maxapi-endpoints/get-video"},{"title":"Create Generate videotask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /luma/v2/generations","href":"/api-reference/maxapi-endpoints/create-generate-videotask"},{"title":"Get task","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /luma/v2/generations/task_id","href":"/api-reference/maxapi-endpoints/get-task"},{"title":"Extend video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /luma/v2/generations/task_id/extend","href":"/api-reference/maxapi-endpoints/extend-video"},{"title":"Get video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /luma/v2/generations/task_id/download_video_url","href":"/api-reference/maxapi-endpoints/get-video"}]},{"group":"Runway","expanded":false,"pages":[{"title":"Create videotask","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /runwayml/v1/image_to_video","href":"/api-reference/maxapi-endpoints/create-videotask"},{"title":"Control a character","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /runwayml/v1/character_performance","href":"/api-reference/maxapi-endpoints/control-a-character"},{"title":"video_to_video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /runwayml/v1/video_to_video","href":"/api-reference/maxapi-endpoints/video_to_video"}]},{"group":"OpenAI","expanded":false,"pages":[{"title":"4.Create Character(taskCreate --Create )","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/videos","href":"/api-reference/maxapi-endpoints/4create-charactertaskcreate--create-"},{"title":"6.Retrieve Video(Get video)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /v1/videos/{video_id}","href":"/api-reference/maxapi-endpoints/6retrieve-videoget-video"},{"title":"Create character","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /sora/v1/characters","href":"/api-reference/maxapi-endpoints/create-character"},{"title":"Remix video","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/videos/{id}/remix","href":"/api-reference/maxapi-endpoints/remix-video"},{"title":"5.Remix Video(video)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/videos/{video_id}/remix","href":"/api-reference/maxapi-endpoints/5remix-videovideo"}]}]},{"group":"Audio \u0026 music","icon":"waveform","root":{"title":"Audio \u0026 music","href":"/en/api-reference/audio-music"},"expanded":false,"pages":[{"group":"Vidu","expanded":false,"pages":[{"title":"POST /ent/v2/text2audio","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/text2audio","href":"/api-reference/maxapi-endpoints/post-entv2text2audio"},{"title":"POST /ent/v2/timing2audio","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/timing2audio","href":"/api-reference/maxapi-endpoints/post-entv2timing2audio"},{"title":"POST /ent/v2/lip-sync","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ent/v2/lip-sync","href":"/api-reference/maxapi-endpoints/post-entv2lip-sync"}]},{"group":"Suno","expanded":false,"pages":[{"title":"Generate music","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/v1/v3.0/music","href":"/api-reference/maxapi-endpoints/generate-music"},{"title":"Get music","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /suno/v1/v3.0/music/id","href":"/api-reference/maxapi-endpoints/get-music"},{"title":"Generate music","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/v1/v3.0/music","href":"/api-reference/maxapi-endpoints/generate-music"},{"title":"Get music","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /suno/v1/v3.0/music/id","href":"/api-reference/maxapi-endpoints/get-music"},{"title":"musicsuno(upload)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/v2/uploads/audio","href":"/api-reference/maxapi-endpoints/musicsunoupload"},{"title":"musicGenerate (generations)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/v2/generate","href":"/api-reference/maxapi-endpoints/musicgenerate-generations"},{"title":"Get task(feed)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /suno/v2/feed","href":"/api-reference/maxapi-endpoints/get-taskfeed"},{"title":"Get lyrics","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /suno/v1/v3.0/lyrics/id","href":"/api-reference/maxapi-endpoints/get-lyrics"},{"title":"Generate lyrics","description":"","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/v1/v3.0/lyrics","href":"/api-reference/maxapi-endpoints/generate-lyrics"},{"title":"Generate music v5","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/submit/music","href":"/api-reference/maxapi-endpoints/generate-music-v5"},{"title":"Get","description":"","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /suno/fetch/{task_id}","href":"/api-reference/maxapi-endpoints/get"},{"title":"Upload music","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /suno/uploads/audio-url","href":"/api-reference/maxapi-endpoints/upload-music"}]},{"group":"Fish Audio","expanded":false,"pages":[{"title":"TTS","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/audio/speech","href":"/api-reference/maxapi-endpoints/tts"},{"title":"asr","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /fish/v1/asr","href":"/api-reference/maxapi-endpoints/asr"}]},{"group":"OpenAI","expanded":false,"pages":[{"title":"Create transcription","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/audio/transcriptions","href":"/api-reference/maxapi-endpoints/create-transcription"},{"title":"Create translation","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/audio/translations","href":"/api-reference/maxapi-endpoints/create-translation"},{"title":"TTS","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /v1/audio/speech","href":"/api-reference/maxapi-endpoints/tts"}]}]},{"group":"Tools \u0026 presentations","icon":"wrench","root":{"title":"Tools \u0026 presentations","href":"/en/api-reference/tools"},"expanded":false,"pages":[{"group":"Presentation services","expanded":false,"pages":[{"title":"Generate (Generate )","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /apps/ppt-create","href":"/api-reference/maxapi-endpoints/generate-generate-"},{"title":"Get PPTGenerate ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /apps/ppt-result","href":"/api-reference/maxapi-endpoints/get-pptgenerate-()"},{"title":"Generate PPT(Generate PPT)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /apps/ppt-structure","href":"/api-reference/maxapi-endpoints/generate-pptgenerate-ppt"},{"title":"Generate ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /apps/ppt-recover","href":"/api-reference/maxapi-endpoints/generate-()"},{"title":"Generate ()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /apps/ppt-recover","href":"/api-reference/maxapi-endpoints/generate-()"},{"title":"task_idPPT(PPT)","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /apps/ppt-page","href":"/api-reference/maxapi-endpoints/task_idppt(ppt)"},{"title":"Generate PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/directGeneratePptx","href":"/api-reference/maxapi-endpoints/generate-ppt"},{"title":"Generate PPT()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /apps/ppt-create-thesis","href":"/api-reference/maxapi-endpoints/generate-ppt()"},{"title":"()","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /apps/ppt-create-task","href":"/api-reference/maxapi-endpoints/()"},{"title":"Generate PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/directGeneratePptx","href":"/api-reference/maxapi-endpoints/generate-ppt"},{"title":"Get PPTDownload (Get Download )","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /apps/ppt-download","href":"/api-reference/maxapi-endpoints/get-pptdownload-get-download-"},{"title":"Create APItoken","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/user/createApiToken","href":"/api-reference/maxapi-endpoints/create-apitoken"},{"title":"Generate Generate PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/generateContent","href":"/api-reference/maxapi-endpoints/generate-generate-ppt"},{"title":"POST /api/ppt/parseFileData","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/parseFileData","href":"/api-reference/maxapi-endpoints/post-apipptparsefiledata"},{"title":"Generate","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/generateOutline","href":"/api-reference/maxapi-endpoints/generate"},{"title":"Get PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/listPptx","href":"/api-reference/maxapi-endpoints/get-ppt"},{"title":"PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/updatePptTemplate","href":"/api-reference/maxapi-endpoints/ppt"},{"title":"Generate PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/directGeneratePptx","href":"/api-reference/maxapi-endpoints/generate-ppt"},{"title":"Generate PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/directGeneratePptx","href":"/api-reference/maxapi-endpoints/generate-ppt"},{"title":"Get PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/listPptx","href":"/api-reference/maxapi-endpoints/get-ppt"},{"title":"PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/updatePptTemplate","href":"/api-reference/maxapi-endpoints/ppt"},{"title":"Download PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/downloadPptx","href":"/api-reference/maxapi-endpoints/download-ppt"},{"title":"PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/updatePptTemplate","href":"/api-reference/maxapi-endpoints/ppt"},{"title":"PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/updatePptTemplate","href":"/api-reference/maxapi-endpoints/ppt"},{"title":"PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/updatePptTemplate","href":"/api-reference/maxapi-endpoints/ppt"},{"title":"Get Generate PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/ppt/asyncPptInfo","href":"/api-reference/maxapi-endpoints/get-generate-ppt"},{"title":"pptjson","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/pptjson/ppt2json","href":"/api-reference/maxapi-endpoints/pptjson"},{"title":"jsonppt","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/pptjson/json2ppt","href":"/api-reference/maxapi-endpoints/jsonppt"},{"title":"PPT","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /api/ppt/updatePptTemplate","href":"/api-reference/maxapi-endpoints/ppt"},{"title":"POST /ppt/updateOutline","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json post /ppt/updateOutline","href":"/api-reference/maxapi-endpoints/post-pptupdateoutline"}]},{"group":"Other and compatible APIs","expanded":false,"pages":[{"title":"Get API","deprecated":false,"version":null,"openapi":"/en/api-reference/openapi.json get /api/user/apiInfo","href":"/api-reference/maxapi-endpoints/get-api"}]}]}]}]},{"tab":"Use cases","icon":"lightbulb","pages":[{"title":"Use cases","href":"/en/usercases"}]}]}]},"title":"Generate music v5 - MaxAPI Developer","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}